Class | Bio::RestrictionEnzyme::CutSymbol::CutSymbol__
In: | lib/bio/util/restriction_enzyme/cut_symbol.rb
Parent: | Object

Class to keep state

### Methods

cut_symbol cut_symbol= escaped_cut_symbol

### Included Modules

Singleton

### Public Class methods

cut_symbol()

[Source]

        # File lib/bio/util/restriction_enzyme/cut_symbol.rb, line 96
    96:     def self.cut_symbol; @cut_symbol; end

cut_symbol=(glyph)

[Source]

         # File lib/bio/util/restriction_enzyme/cut_symbol.rb, line 98
     98:     def self.cut_symbol=(glyph);
     99:       raise ArgumentError if glyph.size != 1
    100:       @cut_symbol = glyph
    101:     end

escaped_cut_symbol()

[Source]

         # File lib/bio/util/restriction_enzyme/cut_symbol.rb, line 103
    103:     def self.escaped_cut_symbol; "\\" + self.cut_symbol; end

[Validate]